%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}

%define build_optimization 0
%ifarch ppc amd64
%define build_optimization 1
%endif
%{?_with_optimization: %{expand: %%global build_optimization 1}}

%define build_debug 0
%{?_with_debug: %{expand: %%global build_debug 1}}
%{?_without_debug: %{expand: %%global build_debug 0}}

%define build_mencoder 1
%{?_with_mencoder: %{expand: %%global build_mencoder 1}}
%{?_without_mencoder: %{expand: %%global build_mencoder 0}}

%define build_gui 1
%{?_with_gui: %{expand: %%global build_gui 1}}
%{?_without_gui: %{expand: %%global build_gui 0}}

%define buildfor_mdk90  %(awk '{print ($4 == "9.0")}' %{_sysconfdir}/mandrake-release)
%define buildfor_mdk92  %(awk '{print ($4 == "9.2")}' %{_sysconfdir}/mandrake-release)

%define kernel_version	%(/bin/bash %{SOURCE5})
%define kver 		%(/bin/bash %{SOURCE5} | sed -e 's/-/./')
%define kvername	%(/bin/bash %{SOURCE5} | sed -e 's/-/./' | sed -e 's/mdk//')

%define build_semistatic	0
%{?_with_semistatic: %{expand: %%global build_semistatic 1}}

%define build_live	1
%{?_with_live: %{expand: %%global build_live 1}}
%{?_without_live: %{expand: %%global build_live 0}}

%define build_matroska	1
%{?_with_matroska: %{expand: %%global build_matroska 1}}
%{?_without_matroska: %{expand: %%global build_matroska 0}}

%define build_external_flac	1
%{?_with_external_flac: %{expand: %%global build_external_flac 1}}
%{?_without_external_flac: %{expand: %%global build_external_flac 0}}

%define build_smb	0
%if %buildfor_mdk92
%define build_smb 1
%endif
%{?_with_smb: %{expand: %%global build_smb 1}}
%{?_without_smb: %{expand: %%global build_smb 0}}


%if %build_plf
%define realpath %{_libdir}/real
%define release %{rel}plf
%else
%define realpath %{_libdir}/RealPlayer8/Codecs
%define release %{rel}mdk
%endif

# mga_vid -> 1 to build mga_vid kernel modules
%define mga_vid 	0
%define radeon_vid 	0

%define name		mplayer1.0
%define Name		MPlayer
%define Summary		Movie player for linux
%define pre		pre2
%define version		1.0
%define rel		0.%pre.3

%define ppmajor		0
%define dhamajor	0.1
%if %buildfor_mdk90
%define build_external_flac 0
%define libname libdha1.0_%dhamajor
%define pplibname libpostproc1.0_%ppmajor
%else
%define libname		%mklibname dha1.0_ %dhamajor
%define pplibname	%mklibname postproc1.0_ %ppmajor
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
Source0:	%{Name}-%{version}%pre.tar.bz2
Source1:	mplayer-16.png
Source2:	mplayer-32.png
Source3:	mplayer-48.png
Source5:	kernel-version.sh
Patch:		mplayer-0.91-default-skin.patch.bz2
Patch1:		mplayer-1.0pre2-flac-linking.patch.bz2
Patch3:		mplayer-0.90-sami-subtitles.patch.bz2
Patch7:		mplayer-1.0pre1-nomgafirst.patch.bz2
Patch8:		mplayer-mgavid.patch.bz2
Patch9:		mplayer-radeonvid.patch.bz2
Patch10:	mplayer-0.90pre10-ppc-build.patch.bz2
Patch20:	mplayer-0.90rc5-semistatic.patch.bz2
URL:		http://www.mplayerhq.hu
License:	GPL
Group:		Video
BuildRequires:  kernel-source
BuildRequires:	libncurses-devel
BuildRequires:	libaa-devel
BuildRequires:  libarts-devel
BuildRequires:	libcdda-devel
BuildRequires:	libdv-devel
BuildRequires:	libdxr3-devel
BuildRequires:	libesound-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libggi-devel
BuildRequires:	liblirc-devel
BuildRequires:	liblzo-devel
BuildRequires:  libmad-devel
BuildRequires:  libnas-devel
BuildRequires:	libpng-devel
BuildRequires:	libSDL-devel >= 1.1.8
BuildRequires:	libtermcap-devel
BuildRequires:	libvorbis-devel
BuildRequires:  libxmms-devel
%if %build_external_flac
BuildRequires:	libflac-devel
%endif
%if %build_smb
BuildRequires:	libsmbclient-devel > 2.2.8a-7mdk 
%endif
%if %build_plf
%ifarch %ix86 ppc alpha
Requires:	xanim-codecs
Requires:	real-codecs
%endif
%ifarch %{ix86}
Requires:	win32-codecs >= 1.3
BuildRequires:	xvid-devel
%endif
%else
BuildRequires:	libdvdread-devel >= 0.9.4
%endif
%if %build_semistatic
BuildRequires: libalsa2-static-devel
BuildRequires: libpng3-static-devel
BuildRequires: libjpeg-static-devel
BuildRequires: freetype2-static-devel
BuildRequires: libaa-static-devel
BuildRequires: libgpm-devel
BuildRequires: libslang-devel
BuildRequires: libungif-static-devel
BuildRequires: libnas2-static-devel
BuildRequires: libggi2-static-devel
BuildRequires: libgii-static-devel
BuildRequires: libarts-static-devel
%endif
%if %build_live
BuildRequires: live-devel
%endif
%if %build_matroska
BuildRequires: libmatroska-devel >= 0.5.0
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
# for the Luxi Serif font:
Requires:	XFree86
%if !%build_semistatic
Requires:	%pplibname = %version
%endif
Requires:	%libname = %version
Conflicts: mplayer < %version
Provides: mplayer = %version

%description
MPlayer is a movie player for LINUX (runs on many other Unices, and
non-x86 CPUs, see the documentation). It plays most MPEG, VOB, AVI,
VIVO, ASF/WMV, QT/MOV, FLI, NuppelVideo, yuv4mpeg, FILM, RoQ, and some
RealMedia files, supported by many native, XAnim, and Win32 DLL codecs.
You can watch VideoCD, SVCD, DVD, 3ivx, FLI, and even DivX movies too
(and you don't need the avifile library at all!). The another big
feature of mplayer is the wide range of supported output drivers. It
works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, but you can use
SDL (and this way all drivers of SDL), VESA (on every VESA compatible
card, even without X!), and some lowlevel card-specific drivers (for
Matrox, 3Dfx and Radeon) too! Most of them supports software or hardware
scaling, so you can enjoy movies in fullscreen. MPlayer supports
displaying through some hardware MPEG decoder boards, such as the DVB
and DXR3/Hollywood+! And what about the nice big antialiased shaded
subtitles (9 supported types!!!) with european/ISO 8859-1,2 (hungarian,
english, czech, etc), cyrillic, korean fonts, and OSD?

%if ! %build_plf
Note: If you want to play Real content, you need to have the content
of RealPlayer's Codecs directory in %realpath

This PLF build has additional support for AAC decoding with libfaad, which
is covered by software patents. It also includes support for reading DVDs
encrypted with CSS which might be illegal in some countries.
%endif

%if %build_gui
%package gui
Summary:	GUI for %{name}
Group:		Video
Requires:	%{name} = %{version}-%{release}
Requires:	mplayer-skins >= 1.0-6mdk
BuildRequires:	libgtk+-devel
Conflicts: mplayer-gui < %version
Provides: mplayer-gui = %version


%description gui
This package contains a GUI for %{name}.
%endif

%if %build_mencoder
%package -n mencoder1.0
Summary: MPlayer's movie encoder
Group:		Video
Requires:	%{name} = %version-%release
Conflicts: mencoder < %version
Provides: mencoder = %version
%if %build_plf
BuildRequires: liblame-devel
%endif

%description -n mencoder1.0
MEncoder a movie encoder and is a part of the MPlayer package.
%if !%build_plf
Note: this version doesn't have support for encoding mp3 audio streams in the
video files. 
%else
This PLF build has additional support for AAC decoding with libfaad
and MP3 encoding with lame, both are covered by software patents. It
also includes support for reading DVDs encrypted with CSS which might
be illegal in some countries.
%endif
%endif

%package -n %libname
Summary:	Support library for MPlayer's vidix video drivers
Group:		System/Libraries
Conflicts: libdha0.1 < %version
Provides: libdha0.1 = %version


%description -n %libname

This package contains the libdha shared library required by the vidix
video output drivers of MPlayer.

%if !%build_semistatic
%package -n %pplibname
Summary:	Video postprocessing library for MPlayer.
Group:		System/Libraries
Conflicts: libpostproc0 < %version
Provides: libpostproc0 = %version

%description -n %pplibname

This package contains the shared postprocessing library required by
MPlayer.

%package -n %pplibname-devel
Summary:	C headers for linking against the postprocessing library
Group:		Development/C
Provides:	libpostproc-devel = %version-%release
Requires:	%pplibname = %version-%release
Conflicts: libpostproc0-devel < %version
Provides: libpostproc0-devel = %version

%description -n %pplibname-devel

This package contains the C headers required for linking against
MPlayer's postprocessing library.
%endif

%if %mga_vid
%package mgavid%{kvername}
Summary:	Mga_vid kernel module
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%release
Requires:	kernel-%{kver}

%description mgavid%{kvername}
This package contains the mga_vid kernel module (Matrox YUV Video
Interface) suitable for kernel %{kernel_version} (device is
/dev/mga_vid c 178 0).

%package mgavid-smp%{kvername}
Summary:	Mga_vid kernel module
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%release
Requires:	kernel-smp-%{kver}

%description mgavid-smp%{kvername}
This package contains the mga_vid kernel module (Matrox YUV Video
Interface), suitable for kernel %{kernel_version}smp.

%package mgavid-enterprise%{kvername}
Summary:	Mga_vid kernel module
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%release
Requires:	kernel-enterprise-%{kver}

%description mgavid-enterprise%{kvername}
This package contains the mga_vid kernel module (Matrox YUV Video
Interface), suitable for kernel %{kernel_version}enterprise.
%endif

%if %radeon_vid
%package radeonvid%{kvername}
Summary:        Radeon_vid kernel module
Group:          System/Kernel and hardware
Requires:       %{name} = %{version}-%release
Requires:       kernel-%{kver}

%description radeonvid%{kvername}
This package contains the radeon_vid kernel module (Radeon YUV Video
Interface) suitable for kernel %{kernel_version} (device is
/dev/radeon_vid c 178 0).

%package radeonvid-smp%{kvername}
Summary:        Radeon_vid kernel module
Group:          System/Kernel and hardware
Requires:       %{name} = %{version}-%release
Requires:       kernel-smp-%{kver}

%description radeonvid-smp%{kvername}
This package contains the radeon_vid kernel module (Radeon YUV Video
Interface), suitable for kernel %{kernel_version}smp.

%package radeonvid-enterprise%{kvername}
Summary:        Radeon_vid kernel module
Group:          System/Kernel and hardware
Requires:       %{name} = %{version}-%release
Requires:       kernel-enterprise-%{kver}

%description radeonvid-enterprise%{kvername}
This package contains the mga_vid kernel module (Radeon YUV Video
Interface), suitable for kernel %{kernel_version}enterprise.
%endif

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n mplayer-%{version}%pre
%patch -p1 -b .skin
%patch1 -b .flac
#%patch3 -p1 -b .sami
%patch7 -p1 -b .mga
%patch8 -p1 -b .mga
%patch9 -p1 -b .radeon
%patch10 -p1 -b .ppc
%if %build_semistatic
%patch20 -p1 -b .static
%endif

perl -pi -e 's/^include = /#include = /' etc/example.conf
chmod -R 755 DOCS
find DOCS -type f|xargs chmod 644
chmod 644 AUTHORS ChangeLog README drivers/README
mv DOCS/en/mplayer.1 .
mv DOCS/de/mplayer.1    German-mplayer.1   
mv DOCS/fr/mplayer.1    French-mplayer.1   
mv DOCS/pl/mplayer.1    Polish-mplayer.1   
mv DOCS/hu/mplayer.1 Hungarian-mplayer.1
mv DOCS/zh/mplayer.1 zh-mplayer.1
mv DOCS/es/mplayer.1 es-mplayer.1


%build
%if !%build_optimization
export CFLAGS="$RPM_OPT_FLAGS" 
%endif
%if %build_debug
export CFLAGS="$CFLAGS -g"
%endif
%if %buildfor_mdk90
# fix for the gcc 3.2 in mdk 9.0 
export CFLAGS="$CFLAGS -mno-omit-leaf-frame-pointer"
%endif
./configure \
	--prefix=%{_prefix} \
	--datadir=%{_datadir}/%{name} \
	--confdir=%{_sysconfdir}/%{name} \
	--libdir=%_libdir \
	--enable-largefiles \
%if !%build_optimization
	--enable-runtime-cpudetection \
%ifarch %ix86
        --enable-mmx \
        --enable-mmx2 \
        --enable-3dnow \
	--enable-3dnowex \
        --enable-sse \
        --enable-sse2 \
        --enable-fastmemcpy \
%endif
%endif
	--enable-freetype \
	--enable-nas \
%if %build_debug
	--enable-debug=3 \
%else
	--disable-sighandler \
%endif
%if %build_gui
	--enable-gui \
%endif
	--enable-i18n \
	--language=en \
	\
%if !%build_plf
	--disable-faad \
	--disable-mpdvdkit\
%endif
	--enable-lirc \
	--enable-tv \
	--enable-tv-v4l \
	--enable-joystick \
	\
	--enable-gl \
        --disable-svga \
	--enable-mga \
	--enable-xmga \
	--enable-fbdev \
	--disable-directfb \
%if %build_mencoder
	--enable-mencoder \
%else
	--disable-mencoder \
%endif
%if %build_semistatic
	--disable-shared-pp \
%else
	--enable-shared-pp \
%endif
%if %build_live
	--enable-live \
%else
	--disable-live \
%endif
%if %build_matroska
	--enable-matroska \
%else
	--disable-matroska \
%endif
	--enable-menu \
	--enable-xmms \
%if %build_smb
	--enable-smb \
%endif
	--with-dvbincdir=/usr/src/linux/3rdparty/mod_dvb/include \
	--with-x11incdir=%{_prefix}/X11R6/include \
	--with-xanimlibdir=%{_prefix}/X11R6/lib/xanim/mods \
	--with-reallibdir=%{realpath} \
%if %build_external_flac
	--enable-external-flac \
%endif
%ifarch %ix86
	\
	--with-win32libdir=%{_libdir}/win32
%endif

# Keep this line before empty end %%configure (ppc conditionnal pb)
make 
%if %mga_vid
(cd drivers
make mga_vid-up.o mga_vid-smp.o mga_vid-enterprise.o)
%endif
%if %radeon_vid
(cd drivers/radeon
make radeon_vid-up.o radeon_vid-smp.o radeon_vid-enterprise.o)
%endif
# (sb) these aren't building on their own for some reason
%ifarch ppc
make -C libdha
make -C vidix
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%name
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%name/vidix
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%name
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/{de,fr,hu,pl,es,zh_CN,""}/man1
install -m 755 mplayer $RPM_BUILD_ROOT%{_bindir}
install -m 644 mplayer.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 German-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/de/man1/mplayer.1  
install -m 644 French-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/fr/man1/mplayer.1  
install -m 644 Hungarian-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/hu/man1/mplayer.1  
install -m 644 Polish-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1/mplayer.1  
install -m 644 zh-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/zh_CN/man1/mplayer.1
install -m 644 es-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/es/man1/mplayer.1

 
%if %build_mencoder
install -m 755 mencoder $RPM_BUILD_ROOT%{_bindir}
for man_dir in $RPM_BUILD_ROOT%{_mandir}/{de,fr,hu,pl,es,zh_CN,""}/man1; do
(cd $man_dir && ln -s mplayer.1 mencoder.1)
done
%endif
install -m 644 etc/example.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
install -m 644 etc/codecs.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 644 etc/input.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 644 etc/menu.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 755 -p libdha/libdha.so.0.1 %buildroot/%_libdir
install -m 755 -p vidix/drivers/*.so %buildroot/%_libdir/%name/vidix
%if !%build_semistatic
install -s -m 755 libavcodec/libpostproc/libpostproc.so %buildroot/%_libdir/libpostproc.so.0.0.1
ln -sf libpostproc.so.0.0.1 %buildroot/%_libdir/libpostproc.so
mkdir -p %buildroot/%_includedir/postproc
install -m 644 libavcodec/libpostproc/postprocess.h %buildroot/%_includedir/postproc/postprocess.h
%endif

# default font from XFree86 package
ln -sf %{_prefix}/X11R6/lib/X11/fonts/TTF/luxirr.ttf %buildroot/%_datadir/%name/subfont.ttf
%if %build_gui
ln -s %_datadir/mplayer/Skin %buildroot/%_datadir/%name
# gmplayer equals mplayer -gui
(cd $RPM_BUILD_ROOT%{_bindir} && ln -s mplayer gmplayer)
# icons
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/gmplayer.png 
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/gmplayer.png 
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/gmplayer.png
# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-gui <<EOF
?package(%{name}-gui): \
	command="%{_bindir}/gmplayer -quiet -nofs"\
	needs="X11"\
	section="Multimedia/Video"\
	icon="gmplayer.png"\
	mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/x-ogg,application/ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav"\
	accept_url="true"\
	multiple_files="true"\
	title="%{Name}"\
	longtitle="%{Summary}"
EOF
%endif

%if %mga_vid
install -d -m 755 %{buildroot}/%{_lib}/modules/%{kernel_version}/misc \
        %{buildroot}/%{_lib}/modules/%{kernel_version}smp/misc \
        %{buildroot}/%{_lib}/modules/%{kernel_version}enterprise/misc
install -m 644 drivers/mga_vid-up.o \
	%{buildroot}/%{_lib}/modules/%{kernel_version}/misc/mga_vid.o
install -m 644 drivers/mga_vid-smp.o \
	%{buildroot}/%{_lib}/modules/%{kernel_version}smp/misc/mga_vid.o
install -m 644 drivers/mga_vid-enterprise.o \
	%{buildroot}/%{_lib}/modules/%{kernel_version}enterprise/misc/mga_vid.o
gzip -9f %{buildroot}/%{_lib}/modules/*/misc/mga*.o
%endif

%if %radeon_vid
install -d -m 755 %{buildroot}/%{_lib}/modules/%{kernel_version}/misc \
        %{buildroot}/%{_lib}/modules/%{kernel_version}smp/misc \
        %{buildroot}/%{_lib}/modules/%{kernel_version}enterprise/misc
install -m 644 drivers/radeon/radeon_vid-up.o \
        %{buildroot}/%{_lib}/modules/%{kernel_version}/misc/radeon_vid.o
install -m 644 drivers/radeon/radeon_vid-smp.o \
        %{buildroot}/%{_lib}/modules/%{kernel_version}smp/misc/radeon_vid.o
install -m 644 drivers/radeon/radeon_vid-enterprise.o \
        %{buildroot}/%{_lib}/modules/%{kernel_version}enterprise/misc/radeon_vid.o
gzip -9f %{buildroot}/%{_lib}/modules/*/misc/ra*.o
%endif

%if %build_debug
export DONT_STRIP=1
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%if %build_gui
%post gui
%{update_menus}
%postun gui
%{clean_menus}
%endif

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%if !%build_semistatic
%post -n %pplibname -p /sbin/ldconfig
%postun -n %pplibname -p /sbin/ldconfig
%endif

%if %mga_vid
%post mgavid%{kvername}
/sbin/depmod -a || :

%post mgavid-smp%{kvername}
/sbin/depmod -a || :

%post mgavid-enterprise%{kvername}
/sbin/depmod -a || :
%endif

%if %radeon_vid
%post radeonvid%{kvername}
/sbin/depmod -a || :

%post radeonvid-smp%{kvername}
/sbin/depmod -a || :

%post radeonvid-enterprise%{kvername}
/sbin/depmod -a || :
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README DOCS/*
%dir %{_sysconfdir}/%name
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/mplayer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/codecs.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/input.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/menu.conf
%{_bindir}/mplayer
%{_mandir}/man1/mplayer.1*
%lang(de) %{_mandir}/de/man1/mplayer.1*
%lang(fr) %{_mandir}/fr/man1/mplayer.1*
%lang(hu) %{_mandir}/hu/man1/mplayer.1*
%lang(pl) %{_mandir}/pl/man1/mplayer.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mplayer.1*
%lang(es) %{_mandir}/es/man1/mplayer.1*
%{_datadir}/%{name}
%dir %_libdir/%name/
%dir %_libdir/%name/vidix/
%_libdir/%name/vidix/*so

%if %build_mencoder
%files -n mencoder1.0
%defattr(-,root,root)
%{_bindir}/mencoder
%{_mandir}/man1/mencoder.1*
%lang(de) %{_mandir}/de/man1/mencoder.1*
%lang(fr) %{_mandir}/fr/man1/mencoder.1*
%lang(hu) %{_mandir}/hu/man1/mencoder.1*
%lang(pl) %{_mandir}/pl/man1/mencoder.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mencoder.1*
%lang(es) %{_mandir}/es/man1/mencoder.1*
%endif

%files -n %libname
%defattr(-,root,root)
%_libdir/libdha.so.0.1

%if !%build_semistatic
%files -n %pplibname
%defattr(-,root,root)
%_libdir/libpostproc.so.*

%files -n %pplibname-devel
%defattr(-,root,root)
%_libdir/libpostproc.so
%_includedir/postproc/
%endif

%if %build_gui
%files gui
%defattr(-,root,root)
%{_bindir}/gmplayer
%{_menudir}/%{name}-gui
%{_iconsdir}/gmplayer.png
%{_miconsdir}/gmplayer.png
%{_liconsdir}/gmplayer.png
%endif

%if %mga_vid
%files mgavid%{kvername}
%defattr(-,root,root)
%doc drivers/README
/%{_lib}/modules/%{kernel_version}/misc/mga_vid.o.gz

%files mgavid-smp%{kvername}
%defattr(-,root,root)
%doc drivers/README
/%{_lib}/modules/%{kernel_version}smp/misc/mga_vid.o.gz

%files mgavid-enterprise%{kvername}
%defattr(-,root,root)
%doc drivers/README
/%{_lib}/modules/%{kernel_version}enterprise/misc/mga_vid.o.gz
%endif

%if %radeon_vid
%files radeonvid%{kvername}
%defattr(-,root,root)
%doc drivers/radeon/README
/%{_lib}/modules/%{kernel_version}/misc/radeon_vid.o.gz

%files radeonvid-smp%{kvername}
%defattr(-,root,root)
%doc drivers/radeon/README
/%{_lib}/modules/%{kernel_version}smp/misc/radeon_vid.o.gz

%files radeonvid-enterprise%{kvername}
%defattr(-,root,root)
%doc drivers/radeon/README
/%{_lib}/modules/%{kernel_version}enterprise/misc/radeon_vid.o.gz
%endif

%changelog
* Mon Oct 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre2.3mdk
- try to build optimized version on amd64 too
- use x86-specific options only on x86

* Mon Oct  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre2.2mdk
- remove 8.2 support from the spec file
- use external libflac, but not on Mandrake 9.0 

* Sun Oct  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre2.1mdk
- drop merged patches 1 and 2 
- new version

* Sun Sep 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre1.6mdk
- patch2: security fix from MPlayer 0.92

* Fri Sep 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre1.5mdk
- fix skin path (thanks to Charles A Edwards)

* Fri Sep 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre1.4mdk
- rebuild

* Thu Sep 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre1.3mdk
- rebuild

* Wed Sep  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre1.2mdk
- move Chinese docs to the right locale (thanks to Abel Cheung)
- buildrequires fix
- rediff patch 7
- conditionalize smb build

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre1.1mdk
- patch1: dvb includes
- disable patch 3, 7
- drop patch 2 (dvb flags, merged)
- drop matroska patch
- enable live support
- first release from the HEAD branch

* Fri Aug 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-5mdk
- fix plf description
- add patch 3 to fix bug 4983 (sami subtitles)
- update matroska demuxer

* Mon Aug 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-4mdk
- require the skins package containing Blue
- use Blue as default skin
- update matroska demuxer 
- small dep fix
- rebuild for smb support

* Mon Aug 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-3mdk
- fix plf deps and description
- update matroska demuxer
- fix --with optimization switch

* Wed Aug 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-2mdk
- fix permissions of the docs

* Wed Aug 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-1mdk
- require the latest matroska lib
- update source6 for new matroska version
- drop patch 0
- new version

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.90-15mdk
- rebuild to avoid segfaults when using arts ao plugin

* Fri Jul 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-14mdk
- fix dir ownership

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-13mdk
- require newer dvdread

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-12mdk
- arrgh, rebuild with DVB drivers from the regular kernel

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-11mdk
- build against the dvb headers from kernel-multimedia
- update mime type list
- update matroska support and enable it by default

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-10mdk
- replace patch2: add a --with-dvbincdir option to configure
- conditionalized use of the mklibname macro 
- build with smb protocol support

* Sun May 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-9mdk
- fix rpmlint warning, alway apply the ppc patch
- patch: fix conflict between dxr3 and dvb build
- only build win32 stuff on ix86
- enable matroska and live in plf build
- fix the --with options by using global instead of define

* Tue May  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-8mdk
- build with dvdread3 

* Mon May  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-7mdk
- add --with live option, also by default disabled
- add --with matroska option, disabled by default
- from CVS: add matroska demuxer (source 6, patch 1)

* Wed Apr 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-6mdk
- mklibname macro
- plf: fix xvid
- always buildrequire kernel-source (for the DVB driver)

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-5mdk
- requires and buildrequires cleanup
- fix distriblint warning

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-4mdk
- fix from Frederic Crozat:
  - ensure kernel-source is only needed when we build kernel module packages
  - disable mdk optimizations when using "host optimization".

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-3mdk
- fix the version (was printing 0.90pre5 instead of 0.90)

* Tue Apr  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-2mdk
- new dvdread

* Mon Apr  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-1mdk
- new version

* Sat Mar 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc5.2mdk
- from Giuseppe Ghib <ghibo@mandrakesoft.com>:
 - Removed patches 21, 22 because of segfaults under gmplayer with XFree86 4.3
 - Added build_debug flag.

* Thu Mar 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc5.1mdk
- new version

* Tue Feb 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc4.4mdk
- update patches 20 and 22 (Giuseppe Ghib <ghibo@mandrakesoft.com>)

* Mon Feb 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc4.2mdk
- buildrequires kernel-source for DVB  
- enable DVB

* Mon Feb 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc4.1mdk
- new version

* Fri Jan 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-%{rel}plf
- more fixes from Giuseppe Ghib <ghibo@mandrakesoft.com>
  - Added flag for full static building.
  - removed %%mklibname because rpm get confused with --with macro expansion
  right now...

* Mon Jan 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc3.1mdk
- use the mklibname macro, but not on Mandrake versions < 9.1
- rediff patch 7
- new version

* Fri Jan 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc2.4mdk
- disable devfs device support (requested by Giuseppe Ghib)

* Wed Jan 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc2.3mdk
- add patch from Giuseppe Ghib <ghibo@mandrakesoft.com>
  * allow conditional semistatic linking of mplayer (--with semistatic)

* Sat Dec 28 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.90-0.rc2.2mdk
- rework patch10 for PPC

* Wed Dec 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc2.1mdk
- enable xmms plugin support
- new version

* Mon Dec  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc1.3mdk
- fix a few rpmlint warnings
- enable menu support
- don't fix previous changelog (stupid bot)

* Mon Dec  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc2.2mdk
- add missing input.conf and menu.conf

* Mon Dec  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc1.1mdk
- plf: require newer win32-codecs 
- build fix for Mandrake 9.0
- new version

* Fri Dec  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.90-0.pre10.4mdk
- allow PPC build
- Olivier Thauvin <thauvin@aerov.jussieu.fr>
	- fix plf/x86 plf/ppc configure

* Mon Nov 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre10.3mdk
- enable shared postprocessing library

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre10.2mdk
- always enable mga driver, but only package it on mdk 8.2 

* Mon Nov 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre10.1mdk
- remove fame option
- new version

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre9.3mdk
- enable nas
- always disable libfame

* Sat Oct 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre9.2mdk
- buildrequires liblzo-devel

* Fri Oct 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre9.1mdk
- 0.90pre9

* Mon Oct 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.5mdk
- don't let install strip libdha, it's spec-helper's job
- arrrgh, fix subfont symlink

* Fri Oct 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.4mdk
- configure a default font for subtitle display

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.3mdk
- accept multiple files and urls in menu
- fix mime type in menu (thx Michael Reinsch <mr@uue.org>)

* Thu Sep 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.2mdk
- enable fbdev as requested by john smith <neuroxmancer@yahoo.com>

* Thu Sep 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.1mdk
- disable parallel build
- add more files to the docs
- drop the patches 0 and 1
- 0.90pre8

* Sun Sep  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre7.4mdk
- fix menu long title
- don't start gui version in fullscreen mode

* Fri Sep  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre7.3mdk
- patch 1 to fix loading of GUI config file

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre7.2mdk
- patch configure to build with freetype2 < 2.1.0
- enable freetype2 support

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre7.1mdk
- remove the -mno-omit-leaf-frame-pointer hack (merged) 
- use some macros for rpmlint
- fix libdha installation
- remove the new-input option (obsolete)
- remove patches 2,10 (merged)
- remove patch 0 (not needed anymore)
- new version

* Thu Aug 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.15mdk
- build kernel modules only on Mandrake 8.2
- remove kernel modules, they are now in the kernel package

* Sat Aug 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.14mdk
- new kernel
- remove --enable-dxr3 and svga options, else --rebuild --nodeps might break
- fix Mandrake 8.2 build

* Fri Aug 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.13mdk
- add an option to disable gui, but it's still enabled by default
- kernel driver packages require same version and release of main package 
- add patch 10 from official package (prevent a crash)
- drop patch 1 (unneeded)

* Thu Aug 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.90-0.pre6.12mdk
- gui requires same version and release of base package

* Wed Aug 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.11mdk
- fix description of up kernel driver packages
- split mencoder to an extra package

* Tue Aug 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.10mdk
- fix the typo in the last release :-(

* Tue Aug 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.9mdk
- add fix from Jose Antonio Becerra Permuy <ronin@mail2.udc.es>
  - fix contents of the kernel module packages
  - build with svgalib on Mandrake 8.2	 
- buildrequires libsvgalib1-devel on Mandrake 8.2

* Tue Aug 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.8mdk
- disable libfame on mdk build
- add a note about real codecs to the description

* Mon Aug 18 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.90-0.pre6.7mdk
- enabled mga and xmga video output modules.
- added mga_vid kernel module packages (Patch8).
- make mga_vid conditional and move lower in the video output list (Patch7).
- compile radeon_vid kernel module.
- fixed path for reallib dir.
- Added libggi2, libgii0, libmad0, libdv2, liblirc0 to Requires.
- Forced 64bit file support with --enable-largefiles.
- Added %realpath.
- Added a flag for 8.2 building.
- Add some cosmetic patch (Patch1, Patch2).
- Enabled dxr3.

* Tue Aug 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.6mdk
- add missing buildrequires on libcdda-devel

* Fri Aug  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.5mdk
- make spec compatible with --short-circuit
- patch to give libdha a proper soname
- put libdha in a library package to reduce rpmlint errors
- fix last changelogs 

* Thu Aug  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.4mdk
- add a switch to optimize for the build machine (--with optimization)

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.3mdk
- specify %{_libdir}/win32 as windows codec dir

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.2mdk
- only build mdk package with libdvdread support
- add -mno-omit-leaf-frame-pointer to CFLAGS to fix win32 codec 

* Tue Aug  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.1mdk
- 0.90pre6
- enable real codecs support (you must copy them to %{_libdir}/real)
- don't compress the png icons
- disable dvdnav (broken)
- remove the buildrequires for ffmpeg, use included libavcodec
- clean up buildrequires

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre5.5mdk
- include vidix output drivers
- plf buildrequires fixes

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre5.4mdk
- libdv2

* Sat Jul 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.90-0.pre5.3mdk
- enabled all cpu optimisations, as runtime detection should select relevant ones only
- enabled lirc and tv support
- enabled opengl again
- enabled faad support in plf version

* Fri Jul 19 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.90-0.pre5.2mdk
- first official mdk release
- used system libdvdread instead of mpdvdkit
- removed buildrequires xanim, xvid and win32-codecs

* Sat Jun 08 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre5.1plf
- 0.90pre5

* Tue Jun 04 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre4.4plf
- symlinked mencoder man page to mplayer man page (Gtz Waschk <waschk@linux-mandrake.com>)

* Mon May 27 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre4.3plf
- changed xvid-devel to xvid-divx-devel (Gtz Waschk <waschk@linux-mandrake.com>)

* Wed May 15 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre4.2plf
- really disabled svgalib support

* Tue May 14 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre4.1plf
- 0.90pre4
- build with gcc 3.1
- removed svgalib driver from popular demand (actually, Yves only :-)
- replaced divx4linux dependency by xvid

* Wed May 08 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre3.1plf
- merged David modifications
- standard release scheme for preversion
- removed hardcoded requires, let spechelper do its job
- unversioned most buildrequires
- no more libdvdread buildrequires, as a modificated version is provided
- libgtk+ buildrequires apply to %{name}-gui
- win32-codecs requires and divx4linux buildrequires apply only to %{i586} and athlon
- configure options cleanup
- removed fibmap_player
- noreplace option also for codecs.conf
- no more exclusivearch
- build with new gcc3.1 and libalsa2

* Fri May 03 2002 David Walluck <david@anti-microsoft.org> 0.90-0.6plf
- 0.90-pre3
- remove conflicts
- really fix location of codecs.conf

* Fri May 03 2002 David Walluck <david@anti-microsoft.org> 0.90-0.5plf
- change location of codecs.conf

* Mon Apr 30 2002 David Walluck <david@anti-microsoft.org> 0.90-0.4plf
- update from CVS
- xpm2png
- fix menu (I think -- why was it broken?)
- fix _with macros
- try to support as many configure options as possible (feel free to
  support more/less of these)
- libdvdnav support
- divx5linux (new divx4linux)
- fix %%makeinstall
- don't enable OpenGL support

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 0.90-0.3plf
- cleanup
- still need to convert xpm2png

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 0.90-0.2plf
- update from CVS
- add mplayer.sh build helper script to Sources
- patch configure to aid detection of libffmpeg
- remove setuid bit on fibmap_mplayer (let the admin set this)
- remove DOCS/SGML

* Wed Apr 24 2002 David Walluck <david@anti-microsoft.org> 0.90-0.1plf
- release

* Wed Jan 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.60-2plf 
- new plf extension

* Thu Jan 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.60-2mdk 
- comment childish trick in config file

* Thu Jan 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.60-1mdk
- 0.60 final

* Wed Jan  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.60-0.pre2.2mdk
- removed confdir option and fixed datadir
- install mencoder
- enable xanim support

* Mon Dec 31 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.60-0.pre2.1mdk
- 0.60pre2
- bzipped icons
- buildrequires aalib1-devel
- removed all optimisation disabling, as distributed as source only

* Thu Dec 20 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-6mdk
- added mimetypes to menu file (Michael Reinsch <mr@uue.org>)
- use icons from MPlayer CVS (Gtz Waschk <waschk@linux-mandrake.com>)

* Fri Nov 30 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.50-5mdk
- build with libdvdread2
- fix prefix
- add menu
- add icons (Guillaume Rousse <guillomovitch@plf.zarb.org>)
- BuildRequires libogg0-devel (Michael Reinsch <mr@uue.org>)

* Thu Nov 29 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-4mdk
- added ffmpeg and opendivx support 
- requires win32-codecs and opendivx
- updated description
- gui in a distinct subpackage
- datadir now %{_datadir}/%{name}
- updated buildrequires

* Wed Nov 28 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-3mdk
- rebuild

* Sat Oct 13 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-2mdk
- obsoletes MPlayer
- updated URL

* Mon Oct 08 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-1mdk
- 0.50

* Fri Oct 05 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-0.pre3.1mdk
- 0.50pre3
- added system-wide configuration (David Walluck <david@anti-microsoft.org>)
- changed description accordingly
- changed name to %{name} by popular demand :-)

* Tue Oct  2 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.50-0.pre1.2mdk
- shut up, tar
- don't BuildRequires: XFree86-static-libs
- BuildRequires: libpng-devel to allow compilation with new libpng3
- BuildRequires: libgtk+1.2-devel for GUI
- enable GUI
- add example configuration files to documentation

* Tue Oct 02 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-0.pre1.1mdk
- 0.50pre1 
- back to gcc-2.96
- BuildRequires XFree86-static-libs libvorbis0-devel

* Mon Aug 20 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.18-0.pre5.2mdk
- disabled all optimizations
- added libggi2-devel and svaligb-devel to BuildRequires
- changed name to MPlayer

* Sat Aug 11 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.18-0.pre5.1mdk
- first mandrake release
